<template>
  <div>
    <el-tabs v-model="activeName">
      <el-tab-pane label="实时统计" name="first">
        <el-scrollbar style="width:100%">
          <el-table
                  :data="tableData">
            <el-table-column
                    prop="date"
                    label="企业名称">
            </el-table-column>
            <el-table-column label="废水(个)">
              <el-table-column
                      prop="name"
                      label="预警">
              </el-table-column>
              <el-table-column
                      prop="name"
                      label="报警">
              </el-table-column>
            </el-table-column>
            <el-table-column label="废气(个)">
              <el-table-column
                      prop="name"
                      label="预警">
              </el-table-column>
              <el-table-column
                      prop="name"
                      label="报警">
              </el-table-column>
            </el-table-column>
            <el-table-column label="固废(个)">
              <el-table-column
                      prop="name"
                      label="预警">
              </el-table-column>
            </el-table-column>
            <el-table-column label="硫化氢(个)">
              <el-table-column
                      prop="name"
                      label="预警">
              </el-table-column>
            </el-table-column>
            <el-table-column label="可燃气体(个)">
              <el-table-column
                      prop="name"
                      label="预警">
              </el-table-column>
            </el-table-column>
          </el-table>
        </el-scrollbar>
      </el-tab-pane>
      <el-tab-pane label="当月统计" name="second">
        <el-table
                :data="tableData">
          <el-table-column
                  prop="date"
                  label="企业名称">
          </el-table-column>
          <el-table-column label="废水(个)">
            <el-table-column
                    prop="name"
                    label="预警">
            </el-table-column>
            <el-table-column
                    prop="name"
                    label="报警">
            </el-table-column>
          </el-table-column>
          <el-table-column label="废气(个)">
            <el-table-column
                    prop="name"
                    label="预警">
            </el-table-column>
            <el-table-column
                    prop="name"
                    label="报警">
            </el-table-column>
          </el-table-column>
          <el-table-column label="固废(个)">
            <el-table-column
                    prop="name"
                    label="预警">
            </el-table-column>
          </el-table-column>
          <el-table-column label="硫化氢(个)">
            <el-table-column
                    prop="name"
                    label="预警">
            </el-table-column>
          </el-table-column>
          <el-table-column label="可燃气体(个)">
            <el-table-column
                    prop="name"
                    label="预警">
            </el-table-column>
          </el-table-column>
        </el-table>
      </el-tab-pane>
      <el-tab-pane label="上月统计" name="third">
        <el-table
                :data="tableData">
          <el-table-column
                  prop="date"
                  label="企业名称">
          </el-table-column>
          <el-table-column label="废水(个)">
            <el-table-column
                    prop="name"
                    label="预警">
            </el-table-column>
            <el-table-column
                    prop="name"
                    label="报警">
            </el-table-column>
          </el-table-column>
          <el-table-column label="废气(个)">
            <el-table-column
                    prop="name"
                    label="预警">
            </el-table-column>
            <el-table-column
                    prop="name"
                    label="报警">
            </el-table-column>
          </el-table-column>
          <el-table-column label="固废(个)">
            <el-table-column
                    prop="name"
                    label="预警">
            </el-table-column>
          </el-table-column>
          <el-table-column label="硫化氢(个)">
            <el-table-column
                    prop="name"
                    label="预警">
            </el-table-column>
          </el-table-column>
          <el-table-column label="可燃气体(个)">
            <el-table-column
                    prop="name"
                    label="预警">
            </el-table-column>
          </el-table-column>
        </el-table>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import mapApi from '@/api/mapApi'
export default {
  data () {
    return {
      titleProp: '',
      activeName: 'first',
      tableData: null
    }
  },
  async mounted () {
    this.tableData = await mapApi.getwarnStatistics()
  },
  methods: {
    refsDatatitle (item) {
      this.titleProp = item
    }
  }
}
</script>
